diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/bist.c b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/bist.c
index fa5312b6f23b464ac6783a13e063a6466f5586c5..932a21f65ce4b3b9f90020d36c7093e9d3f735f8 100755
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/bist.c
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/bist.c
@@ -138,24 +138,21 @@ static const char *testStatusPrint(int32_t status)
 void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
 {
     int32_t testResult = 0;
-    int     i, j;
-    int    *pbist_array;
-    int    *lbist_array;
+    int32_t     i, j;
+    int32_t    *pbist_array;
+    int32_t    *lbist_array;
     /* Bitmap representing status of each PBIST test in each boot stage */
-    int     pbist_stage_status[NUM_BOOT_STAGES];
+    int32_t     pbist_stage_status[NUM_BOOT_STAGES];
+    /* Bitmap representing status of each negative PBIST test in each boot stage */
+    int32_t     pbist_stage_neg_status[NUM_BOOT_STAGES];
     /* Bitmap representing status of each LBIST test in each boot stage */
-    int     lbist_stage_status[NUM_BOOT_STAGES];
-    uint64  time_pre_boot_stage_start;
-    uint64  time_stage_finish[NUM_BOOT_STAGES];
-#if defined(GATHER_BIST_STAGE_DETAILS)
-    uint64  time_lbist_start[NUM_BOOT_STAGES];
-    uint64  time_pbist_start[NUM_BOOT_STAGES];
-#endif
+    int32_t     lbist_stage_status[NUM_BOOT_STAGES];
 
     /* Initialize boot stage status bitmaps to "not run/fail" */
     for (i = 0; i < NUM_BOOT_STAGES; i++)
     {
         pbist_stage_status[i] = 0x0;
+        pbist_stage_neg_status[i] = 0x0;
         lbist_stage_status[i] = 0x0;
     }
 
@@ -163,26 +160,41 @@ void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
 
     if (testResult != 0)
     {
-        AppUtils_Printf(MSG_NORMAL,
-                        "PBIST_commonInit ...FAILED \n");
+        AppUtils_Printf(MSG_NORMAL,"PBIST_commonInit ...FAILED \n");
     }
     else
     {
-        time_pre_boot_stage_start = get_usec_timestamp();
-
+        /* This example presents a scenario in which the BISTs are performed in stages
+         * with booting of specific cores performed after certain stages. This example
+	 * is adapted from the MCUSW Boot App for J721E. No cores are actually loaded
+	 * in this example. Only the flow of performing BIST in stages is shown. */
         /* Run pre-boot-stage PBIST's.  The definitions of the pre-boot-stage PBIST's
          * are found in soc/<SOC Device>/bist_core_defs.c.*/
+	for (i = 0; i < num_pbists_pre_boot; i++)
+        {
+            /* Run test on selected instance */
+            testResult = PBIST_runTest(pbist_pre_boot_stage[i], true);
+            /* Convert signed return value (with -1 = failure and 0 = pass) to become
+             * 0 = failure and 1 = pass */
+            pbist_pre_boot_stage_neg_status[i] = testResult + 1;
+            if ( testResult != 0)
+            {
+                AppUtils_Printf(MSG_NORMAL,"PBIST negative test failed for %d\n",
+                                pbist_pre_boot_stage[i]);
+                break;
+            }
+        }
+
         for (i = 0; i < num_pbists_pre_boot; i++)
         {
             /* Run test on selected instance */
-            testResult = PBIST_runTest(pbist_pre_boot_stage[i]);
+            testResult = PBIST_runTest(pbist_pre_boot_stage[i], false);
             /* Convert signed return value (with -1 = failure and 0 = pass) to become
              * 0 = failure and 1 = pass */
             pbist_pre_boot_stage_status[i] = testResult + 1;
             if ( testResult != 0)
             {
-                AppUtils_Printf(MSG_NORMAL,
-                                "PBIST functional test failed for %d\n",
+                AppUtils_Printf(MSG_NORMAL,"PBIST functional test failed for %d\n",
                                 pbist_pre_boot_stage[i]);
                 break;
             }
@@ -222,13 +234,28 @@ void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
         {
             pbist_array = pbist_array_stage[j];
             lbist_array = lbist_array_stage[j];
-#if defined(GATHER_BIST_STAGE_DETAILS)
-            time_pbist_start[j] = get_usec_timestamp();
-#endif
             for (i = 0; i < num_pbists_per_boot_stage[j]; i++)
             {
+                PBIST_clecConfig(pbist_array[i]);
+
                 /* Run test on selected instance */
-                testResult = PBIST_runTest(pbist_array[i]);
+                testResult = PBIST_runTest(pbist_array[i], true);
+
+                /* Convert signed return value (with -1 = failure and 0 = pass) to become
+                 * a single bit as part of bitfield with 0 = failure and 1 = pass */
+                pbist_stage_neg_status[j] |= ((uint32_t)(testResult + 1) << i);
+                if ( testResult != 0)
+                {
+                    AppUtils_Printf(MSG_NORMAL,"PBIST negative test failed for %d\n",
+                                    pbist_array[i]);
+                    break;
+                }
+            }
+
+            for (i = 0; i < num_pbists_per_boot_stage[j]; i++)
+            {
+                /* Run test on selected instance */
+                testResult = PBIST_runTest(pbist_array[i], false);
 
                 /* Convert signed return value (with -1 = failure and 0 = pass) to become
                  * a single bit as part of bitfield with 0 = failure and 1 = pass */
@@ -243,9 +270,6 @@ void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
             }
 #if defined(DEBUG)
             AppUtils_Printf(MSG_NORMAL, "Ran PBIST for Stage %d\n", j);
-#endif
-#if defined(GATHER_BIST_STAGE_DETAILS)
-            time_lbist_start[j] = get_usec_timestamp();
 #endif
             for (i = 0; i < num_lbists_per_boot_stage[j]; i++)
             {
@@ -268,18 +292,23 @@ void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
             /* Signal Boot Task that BIST for the stage is completed */
             SemaphoreP_post(bistSemHandle);
 
-            time_stage_finish[j] = get_usec_timestamp();
         }
     }
 
     if (testResult == 0)
     {
-        /* Delay print out of boot log to avoid prints by other tasks */
-        TaskP_sleep(2000);
-
-        AppUtils_Printf(MSG_NORMAL,
-                        "BIST: Pre-boot stage - Started at %d usec\n",
-                        time_pre_boot_stage_start);
+		TaskP_sleep(2000);
+        AppUtils_Printf(MSG_NORMAL,"==========================\n");
+        AppUtils_Printf(MSG_NORMAL,"BIST: Example App Summary:\n");
+        AppUtils_Printf(MSG_NORMAL,"==========================\n");
+        for (i = 0; i < num_pbists_pre_boot; i++)
+        {
+            AppUtils_Printf(MSG_NORMAL,"BIST: Pre-boot Stage - Ran negative PBIST ID - %s, Result = %s\n",
+                            pbistName(pbist_pre_boot_stage[i]),
+                            testStatusPrint(pbist_pre_boot_stage_neg_status[i]));
+        }
+        AppUtils_Printf(MSG_NORMAL,"Pre-boot stage - Ran %d negative PBIST total sections\n",
+                        num_pbists_pre_boot);
         for (i = 0; i < num_pbists_pre_boot; i++)
         {
             AppUtils_Printf(MSG_NORMAL,
@@ -306,9 +335,15 @@ void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
             pbist_array = pbist_array_stage[j];
             lbist_array = lbist_array_stage[j];
 #if defined(GATHER_BIST_STAGE_DETAILS)
-            AppUtils_Printf(MSG_NORMAL,
-                            "BIST: Stage %d - Started running PBIST sections at %d usec\n",
-                            j, (uint32)time_pbist_start[j]);
+            for (i = 0; i < num_pbists_per_boot_stage[j]; i++)
+            {
+                AppUtils_Printf(MSG_NORMAL,"BIST: Stage %d - Ran negative PBIST ID - %s, Result = %s\n",
+                                j, pbistName(pbist_array[i]),
+                                testStatusPrint((pbist_stage_neg_status[j] >> i) & 0x1));
+            }
+            AppUtils_Printf(MSG_NORMAL,"BIST: Stage %d - Ran %d negative PBIST total sections\n",
+                            j, (uint32_t)num_pbists_per_boot_stage[j]);
+
             for (i = 0; i < num_pbists_per_boot_stage[j]; i++)
             {
                 AppUtils_Printf(MSG_NORMAL,
@@ -320,9 +355,6 @@ void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
                             "BIST: Stage %d - Ran %d PBIST total sections\n",
                             j, (uint32)num_pbists_per_boot_stage[j]);
 
-            AppUtils_Printf(MSG_NORMAL,
-                            "BIST: Stage %d - Started running LBIST sections at %d usec\n",
-                            j, (uint32)time_lbist_start[j]);
             for (i = 0; i < num_lbists_per_boot_stage[j]; i++)
             {
                 AppUtils_Printf(MSG_NORMAL,
@@ -334,9 +366,6 @@ void bist_TaskFxn(SemaphoreP_Handle bistSemHandle)
                             "BIST: Stage %d - Ran %d LBIST sections\n",
                             j, (uint32)num_lbists_per_boot_stage[j]);
 #endif
-            AppUtils_Printf(MSG_NORMAL,
-                            "BIST: Stage %d - Completed stage at %d usec\n",
-                            j, (uint32)time_stage_finish[j]);
         }
     }
 }
